CREATE OR REPLACE VIEW V_SERVICE_LOCATION AS
SELECT DISTINCT SIFRA || '_' || NNLOCATION_ID AS ID, SIFRA, NNLOCATION_ID FROM 
(SELECT S1.SIFRA, L1.ID AS NNLOCATION_ID FROM M_NNSTOMAR S1, NNLOCATION L1 
WHERE S1.NNLOCATION_ID IS NULL AND S1.SIFRA NOT IN (SELECT SERVICE_CODE FROM M_NNSTOMAR_LOCATION)
UNION
SELECT S2.SIFRA, S2.NNLOCATION_ID FROM M_NNSTOMAR S2 WHERE S2.NNLOCATION_ID IS NOT NULL
UNION 
SELECT S3.SERVICE_CODE AS SIFRA, S3.NNLOCATION_ID FROM M_NNSTOMAR_LOCATION S3
) S
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1303, SYSDATE, '5.5', 1223, 'Service location ID')
;
