INSERT INTO NNWEB_PAGE_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('ONB', 'Online booking', 'Online booking', 'Y');

CREATE TABLE NN_AMPERAGE_TYPE (
  ID_AMPERAGE_TYPE NUMBER NOT NULL,
  DESCRIPTION VARCHAR2(100 CHAR),
  INTERNAL_DESCRIPTION VARCHAR2(100 CHAR),
  CONSTRAINT NN_AMPERAGE_TYPE_PK PRIMARY KEY (ID_AMPERAGE_TYPE)
);

CREATE SEQUENCE NN_AMPERAGE_TYPE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 100 NOCACHE NOORDER  NOCYCLE;

INSERT INTO NN_AMPERAGE_TYPE(ID_AMPERAGE_TYPE, DESCRIPTION, INTERNAL_DESCRIPTION) 
VALUES (1, 'Single-phase', 'Single-phase');

INSERT INTO NN_AMPERAGE_TYPE(ID_AMPERAGE_TYPE, DESCRIPTION, INTERNAL_DESCRIPTION) 
VALUES (2, 'Three-phase', 'Three-phase');

ALTER TABLE NN_AMPERAGE
ADD ID_AMPERAGE_TYPE NUMBER;

ALTER TABLE NN_AMPERAGE
ADD CONSTRAINT NN_AMPERAGE_TYPE_FK
FOREIGN KEY (ID_AMPERAGE_TYPE)
REFERENCES NN_AMPERAGE_TYPE(ID_AMPERAGE_TYPE);

CREATE INDEX IX_NN_AMPERAGE_TYPE ON NN_AMPERAGE (ID_AMPERAGE_TYPE);

ALTER TABLE PLOVILA
ADD ID_AMPERAGE_TYPE NUMBER;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1726, SYSDATE, '5.5', 1646, 'Amperage type')
;
