ALTER TABLE NNOBJEKT
ADD REZERVAC_ONLINE_BOOKING VARCHAR2(1 CHAR);

UPDATE NNTIPPRILOGE
SET TYPE = 'IN'
WHERE TYPE IS NULL AND LOWER(OPIS) LIKE 'insurance';

INSERT INTO NNDATOTEKE_KUPCEV_VRSTA(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('COV', 'Covid-19', 'Covid-19', 'Y');

ALTER TABLE NCARD 
MODIFY SERIALNUMBER VARCHAR2(50 CHAR);

ALTER TABLE NN_AMPERAGE
ADD NNLOCATION_ID NUMBER;

CREATE TABLE CODE_LIST_TYPE (
  ID_CODE_LIST_TYPE VARCHAR2(10 CHAR),
  DESCRIPTION VARCHAR2(200 CHAR),
  INTERNAL_DESCRIPTION VARCHAR2(200 CHAR),
  ACTIVE VARCHAR2(1 CHAR),
  CONSTRAINT CODE_LIST_TYPE_TYPE_PK PRIMARY KEY (ID_CODE_LIST_TYPE)
);

CREATE TABLE CODE_LIST (
  ID_CODE_LIST NUMBER NOT NULL,
  NNLOCATION_ID NUMBER,
  ID_TYPE VARCHAR2(10 CHAR),
  ID_STRING VARCHAR2(10 CHAR),
  ID_NUMBER NUMBER,
  DESCRIPTION VARCHAR2(200 CHAR),
  INTERNAL_DESCRIPTION VARCHAR2(200 CHAR),
  ACTIVE VARCHAR2(1 CHAR),
  CONSTRAINT CODE_LIST_PK PRIMARY KEY (ID_CODE_LIST),
  CONSTRAINT CODE_LIST_CODE_LIST_TYPE_FK FOREIGN KEY (ID_TYPE) REFERENCES CODE_LIST_TYPE(ID_CODE_LIST_TYPE)
);

CREATE INDEX IX_CODE_LIST_ID_TYPE ON CODE_LIST (ID_TYPE);

CREATE SEQUENCE CODE_LIST_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

INSERT INTO CODE_LIST_TYPE(ID_CODE_LIST_TYPE, DESCRIPTION, INTERNAL_DESCRIPTION, ACTIVE)
VALUES ('PAR', 'Parking', 'Parking', 'Y');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1758, SYSDATE, '5.5', 1678, 'Code list')
;
