ALTER TABLE S_RD_PROMET
 ADD ID_PROMET NUMBER
;

CREATE OR REPLACE FORCE VIEW V_SALDKONT_ADDITIONAL_TAX AS 
SELECT T.ID_SALDKONT, T.STOPNJA, SUM(T.ZNESEK_OSNOVE) AS ZNESEK_OSNOVE, SUM(T.ZNESEK_DAVKA) AS ZNESEK_DAVKA
FROM 
(
SELECT R.ID_SALDKONT, 'S' AS VRSTA, D.STOPNJA, R.NETO AS ZNESEK_OSNOVE, (R.ZN_DAVKA*D.STOPNJA/R.DAV_STOPNJA) AS ZNESEK_DAVKA
FROM RACUN_DATA R 
JOIN M_STORITVE S ON S.ID_STORITVE=R.ID_STORITVE
JOIN M_STORITVE_DAVEK D ON S.ID_STORITVE=D.ID_STORITVE
WHERE D.VRSTA<>'DDV' AND R.DAV_STOPNJA<>0
union all
SELECT R.ID_SALDKONT, 'A' AS VRSTA, D.STOPNJA, R.NETO AS ZNESEK_OSNOVE, (R.ZN_DAVKA*D.STOPNJA/R.DAV_STOPNJA) AS ZNESEK_DAVKA
FROM RACUN_DATA R 
JOIN S_OBRACUN S ON S.ID_OBRACUN=R.ID_OBRACUN
JOIN S_OBRACUN_DAVEK D ON S.ID_OBRACUN=D.ID_OBRACUN
WHERE D.VRSTA<>'DDV' AND R.DAV_STOPNJA<>0) T
GROUP BY T.ID_SALDKONT, T.STOPNJA
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1249, SYSDATE, '5.5', 1169, 'V_SALDKONT_ADDITIONAL_TAX')
;
